import {request} from "@/api/request";

export type BrandRecord = {
  id: number
  introductory_video: string[]
  brand_album: string[]
  graphic_introduction: string
  disabled: number
}

export const brandApi = {
  list(page: number , page_size: number) {
    return request<{
      data: BrandRecord[],
      total: number
    }>(`/api/v1/department/index?page=${page}&page_size=${page_size}` , "GET")
  },
  /** 学习记录 */
  info(id: number) {
    return request<BrandRecord>(`/api/v1/user/record/${id}`, "GET")
  },
}
